package com.usky.issue.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备数据表
 * </p>
 *
 * @author fu
 * @since 2024-01-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpDeviceData implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备类型：1 用户信息传输装置、2 水压探测器、3 独立烟感、5 液位探测器、6 消防远程控制终端、7 电气火灾
     */
    private Integer deviceType;

    /**
     * 监控点名称
     */
    private String pointName;

    /**
     * 监控点编码
     */
    private String pointCode;

    /**
     * 采集值
     */
    private String pointData;

    /**
     * 采集时间
     */
    private LocalDateTime dataTime;

    /**
     * 值说明
     */
    private String dataContent;


}
